curl --request GET \
--url https://{host}/lucca-api/job-qualifications \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"type": "job-qualifications",
"url": "https://example.ilucca.net/lucca-api/job-qualifications?limit=25",
"totalCount": 943,
"items": [
{
"id": "982",
"type": "job-qualification",
"url": "https://example.ilucca.net/lucca-api/job-qualifications/982",
"title": "Lead Developer",
"profession": {
"id": "89",
"type": "profession",
"url": "https://example.ilucca.net/lucca-api/professions/89"
},
"rank": 2,
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {}
}
],
"links": {
"prev": null,
"next": {
"href": "https://example.ilucca.net/lucca-api/job-qualifications?page=!32443df&limit=25"
}
},
"embedded": {}
}Returns a paginated list of job-qualifications.
curl --request GET \
--url https://{host}/lucca-api/job-qualifications \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"type": "job-qualifications",
"url": "https://example.ilucca.net/lucca-api/job-qualifications?limit=25",
"totalCount": 943,
"items": [
{
"id": "982",
"type": "job-qualification",
"url": "https://example.ilucca.net/lucca-api/job-qualifications/982",
"title": "Lead Developer",
"profession": {
"id": "89",
"type": "profession",
"url": "https://example.ilucca.net/lucca-api/professions/89"
},
"rank": 2,
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {}
}
],
"links": {
"prev": null,
"next": {
"href": "https://example.ilucca.net/lucca-api/job-qualifications?page=!32443df&limit=25"
}
},
"embedded": {}
}Required OAuth 2.0 Scopes
job-qualifications.readonly
job-qualifications.readwrite
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Only execute the request if current cached version of the resource does not match the one given here.
"W/q5sd4w2x1c1gfdg"
Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.
"W/q5sd4w2x1c1gfdg"
List of compression algorithms you support.
Filter out job-qualifications on their rank
x >= 0Filter out job-qualifications on their profession's IDs.
1Cursor of the page to retrieve. Read more about pagination.
Number of items per page. Defaults to 25. Maximum is 100. Read more about pagination.
0 <= x <= 100Include metadata:
embedded: the partial or complete representations of related resources
(e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request).
May be null when you do not have access to the resource (or action).totalCount: only applicable on collections (i.e. lists of resources), gives
the total number of items across all pages.Read more about expanding responses.
embedded, links, totalCount OK
A collection of job-qualification resources.
"job-qualifications"Total number of job-qualification resources across all pages that satisfy query parameters.
x >= 0Paginated list of job-qualification resources.
100Show child attributes
Links to related resources
Show child attributes
No embedded resources on a job-qualification(s) response. Expect an empty object if embedded are requested.
Was this page helpful?